Skip to content
Vellum

Get a ship

GET /ships/{shipId}

Authorization

bearerAuth Authorization: Bearer <token>

Any token will do here. Without one the answer is a 401.

Path parameters

shipId* integer

The ship's id. Ships 1, 2 and 3 exist.

Format int64 Example 1

Responses

200 The ship. application/json
name* string

Range 2 ≤ value ≤ 80

type* string

What the ship carries.

Value in cargo tanker ferry tug

id? integer

Format int64

tonnage? number

Gross tonnage.

Format float Range 0 ≤ value ≤ 500000

captain? object

Whoever is in command right now.

Properties
name* string
licence? string

Pattern ^[A-Z]{2}\d{6}$

crew? array<object>
Properties
name? string
role? string

Value in deck engine galley

escort? Ship

Repeats Ship

registeredAt? string

Format date-time

404 No such ship. application/json
message* string
errors? object